org.springframework.data.mapping

## Interface PersistentPropertyPaths<T,P extends PersistentProperty<P>>

All Superinterfaces:
  Iterable<PersistentPropertyPath<P>>, Streamable<PersistentPropertyPath<P>>, Supplier<Stream<PersistentPropertyPath<P>>>

    public interface PersistentPropertyPaths<T,P extends PersistentProperty<P>>
    extends Streamable<PersistentPropertyPath<P>>

A wrapper for a collection of `PersistentPropertyPath`s.

Since:
  2.1
Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `contains(PropertyPath path)` Returns whether the given `PropertyPath` is contained in the current `PersistentPropertyPaths`.
`boolean` `contains(String path)` Returns whether the given path is contained in the current `PersistentPropertyPaths`.
`PersistentPropertyPaths<T,P>` `dropPathIfSegmentMatches(Predicate<? super P> predicate)` Drops `PersistentPropertyPath`s that contain a path segment matching the given predicate.
`Optional<PersistentPropertyPath<P>>` `getFirst()` Returns the first `PersistentPropertyPath`.

### Methods inherited from interface org.springframework.data.util.Streamable

`and, and, and, and, empty, filter, flatMap, get, isEmpty, map, of, of, of, stream, toList, toSet, toStreamable, toStreamable`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### getFirst

    Optional<PersistentPropertyPath<P>> getFirst()

Returns the first `PersistentPropertyPath`.

Returns:

#### contains

    boolean contains(String path)

Returns whether the given path is contained in the current `PersistentPropertyPaths`.

Parameters:
  `path` - must not be null.
Returns:

#### contains

    boolean contains(PropertyPath path)

Returns whether the given `PropertyPath` is contained in the current `PersistentPropertyPaths`.

Parameters:
  `path` - must not be null.
Returns:

#### dropPathIfSegmentMatches

    PersistentPropertyPaths<T,P> dropPathIfSegmentMatches(Predicate<? super P> predicate)

Drops `PersistentPropertyPath`s that contain a path segment matching the given predicate.

Parameters:
  `predicate` - must not be null.
Returns:
  a `PersistentPropertyPaths` instance with all `PersistentPropertyPath` instances removed that contain path segments matching the given predicate.
Since:
  2.1.4 / 2.2.2